API Direct
Endpoints
Bluesky Post Quotes

Bluesky Post Quotes

GET /v1/bluesky/post/quotes

Get the posts that quote a Bluesky post, newest first. Returns the full quoting post with its text, author, engagement metrics, and media.

Cost
$0.003 per page
Free tier
50 requests/month

Parameters

url
Bluesky post URL, e.g. https://bsky.app/profile/bsky.app/post/3l6oveex3ii2l (max 500 characters). Provide either url or post_id.
post_id
The post's AT URI as returned in post_id, e.g. at://did:plc:z72i7hdynmk6r22z27h6tvur/app.bsky.feed.post/3l6oveex3ii2l (max 200 characters). Provide either url or post_id.
pages
Number of pages to fetch, 1-20 (default: 1). Each page returns up to 50 posts; you are billed per page returned.
get_sentiment
Set to true to add AI emotion analysis (Plutchik's Wheel) to each result. Adds +$0.001 per page to the cost. Returns emotion scores, dominant emotion, intensity, and polarity.

Example Request

curl "https://apidirect.io/v1/bluesky/post/quotes?url=https%3A%2F%2Fbsky.app%2Fprofile%2Fbsky.app%2Fpost%2F3l6oveex3ii2l&pages=1"   -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "quotes": [
    {
      "title": "@ekimdafluffyeevee.bsky.social on Bluesky",
      "url": "https://bsky.app/profile/ekimdafluffyeevee.bsky.social/post/3musg7o2nfk24",
      "date": "2026-09-05 21:26:54",
      "author": "ekimdafluffyeevee.bsky.social",
      "author_name": "michael_Mikafran",
      "author_id": "did:plc:aske3ha7qi4gm2fskxuxo64h",
      "author_verified": false,
      "source": "Bluesky",
      "domain": "bsky.app",
      "snippet": "open social network my ass being eaten by cannabis",
      "likes": 4,
      "replies": 0,
      "reposts": 0,
      "quotes": 0,
      "bookmarks": 0,
      "lang": "en",
      "is_reply": false,
      "in_reply_to_id": "",
      "is_quote": true,
      "quoted_post": {
        "post_id": "at://did:plc:z72i7hdynmk6r22z27h6tvur/app.bsky.feed.post/3l6oveex3ii2l",
        "url": "https://bsky.app/profile/bsky.app/post/3l6oveex3ii2l",
        "date": "2024-10-17 07:06:51",
        "author": "bsky.app",
        "author_name": "Bluesky",
        "author_verified": false,
        "snippet": "👋  Bluesky is an open social network that gives creators independence from platforms, developers the freedom to build, a…",
        "likes": 63685,
        "reposts": 9530
      },
      "hashtags": [],
      "mentions": [],
      "links": [],
      "link_preview": null,
      "media_type": "text",
      "image_url": "",
      "video_url": "",
      "carousel_media": [],
      "post_id": "at://did:plc:aske3ha7qi4gm2fskxuxo64h/app.bsky.feed.post/3musg7o2nfk24"
    }
  ],
  "post_id": "at://did:plc:z72i7hdynmk6r22z27h6tvur/app.bsky.feed.post/3l6oveex3ii2l",
  "total": 708,
  "pages": 1,
  "count": 50
}

Your Usage

Free tier this month
Loading...
Recent Activity